aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@gcc.gnu.org>2011-01-13 20:23:19 +0000
committerIan Lance Taylor <ian@gcc.gnu.org>2011-01-13 20:23:19 +0000
commit389295b785f9c396c703c186bd5e2fe1f697ed38 (patch)
tree86ce3c725fb4c9b3860b1e69f5c2338fb1e5e2ce
parenta2b63a20016d041e501d6c6541d059befbb244b9 (diff)
downloadgcc-389295b785f9c396c703c186bd5e2fe1f697ed38.zip
gcc-389295b785f9c396c703c186bd5e2fe1f697ed38.tar.gz
gcc-389295b785f9c396c703c186bd5e2fe1f697ed38.tar.bz2
Don't exit mksysinfo.sh if there is no _user_regs_struct.
From-SVN: r168764
-rwxr-xr-xlibgo/mksysinfo.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/libgo/mksysinfo.sh b/libgo/mksysinfo.sh
index f43db61..35a461c 100755
--- a/libgo/mksysinfo.sh
+++ b/libgo/mksysinfo.sh
@@ -207,7 +207,7 @@ fi
# The registers returned by PTRACE_GETREGS. This is probably
# GNU/Linux specific; it should do no harm if there is no
# _user_regs_struct.
-regs=`grep '^type _user_regs_struct struct' gen-sysinfo.go`
+regs=`grep '^type _user_regs_struct struct' gen-sysinfo.go || true`
if test "$regs" != ""; then
regs=`echo $regs | sed -e 's/type _user_regs_struct struct //' -e 's/[{}]//g'`
regs=`echo $regs | sed -e s'/^ *//'`